# eunit

### MODULE

eunit

### MODULE SUMMARY

This module is the main EUnit user interface.

### DESCRIPTION

This module is the main EUnit user interface.

### EXPORTS

start() -> term()

Starts the EUnit server. Normally, you don't need to call this function; it is started automatically.

stop() -> term()

Stops the EUnit server. Normally, you don't need to call this function.

test(Tests) -> term()

Equivalent to test(Tests, []).

test(Tests::term(), Options::[term()]) -> ok | {error, term()}

Runs a set of tests. The format of Tests is described in the section EUnit test representation of the overview.

Example:

      eunit:test(fred)

runs all tests in the module fred and also any tests in the module fred_tests, if that module exists.

Options:

verbose
  Displays more details about the running tests.

See also: test/1.

### AUTHORS

Mickaël Rémond - support@erlang.ericsson.se
Richard Carlsson - support@erlang.ericsson.se

eunit 2.0
Copyright © 1991-2008 Ericsson AB